FireFeed Docs
Api

Lancia una pipeline run completa (orchestrazione)

Crea un PipelineRun, sequenzia FETCH→PARSE→MERGE→RULES→EXPORT come job BullMQ con dipendenze. Richiede `x-internal-secret`.

POST
/internal/pipeline/run

Crea un PipelineRun, sequenzia FETCH→PARSE→MERGE→RULES→EXPORT come job BullMQ con dipendenze. Richiede x-internal-secret.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/internal/pipeline/run" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "companyId": "string",    "runType": "IMPORT"  }'
{  "data": {    "runId": "string",    "queuedJobs": [      "string"    ]  }}